# coding: utf-8

import json

""" Различные сообщения, которые посылаются от агента серверу
"""

def auth_response(login, password):
    message = {'command': 'auth_response',
               'login': login,
               'password': password}
    return json.dumps(message)

def status_response(status):
    message = {'command': 'status_response',
               'status': status}
    return json.dumps(message)

def change_installation_status(status):
    message = {'command': 'change_installation_status',
               'status': status}
    return json.dumps(message)

def log_message(msg_type, msg):
    message = {'command': 'log_message',
               'msg_type': msg_type,
               'msg': msg}
    return json.dumps(message)