# -*- coding: utf-8 -*-

from django.conf.urls.defaults import patterns, include, url
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # пользователи и авторизация
    url(r'^$', 'views.home'),
    url(r'^accounts/login(.*)$', 'views.login_user'),
    url(r'^auth$', 'views.login_user'),
    url(r'^logout$', 'views.logout_user'),
    
    #рецепты
    url(r'^recipes$', 'views.recipes'),
    url(r'^recipes/add_recipe$', 'views.add_recipe'),
    url(r'^recipes/(.*)/(.*)$', 'views.recipe_edit'),
    
    #страница с сервером и инсталляция
    url(r'^servers/(.*)$', 'views.servers'),
    url(r'^installation/(.*)/(.*)/(.*)$', 'views.installation'),
    url(r'^multi_installing$', 'views.multi_installing'),
    
    #джанго админ
    url(r'^admin/doc/', include('django.contrib.admindocs.urls')),
    url(r'^admin/', include(admin.site.urls)),
)